import { ethers } from 'ethers';
import { useEffect, useState } from 'react';
import { useNetwork } from '..';
import useSigner from './useSigner';
export default function useBalance() {
    var _a = useState(undefined), balance = _a[0], setBalance = _a[1];
    var chain = useNetwork();
    var signer = useSigner();
    useEffect(function () {
        if (signer) {
            signer.getBalance().then(function (balance) {
                var _a;
                // convert a currency unit from wei to ether
                var balanceInEth = parseFloat(ethers.utils.formatEther(balance)).toFixed(2);
                setBalance("".concat(balanceInEth, " ").concat((_a = chain === null || chain === void 0 ? void 0 : chain.nativeCurrency) === null || _a === void 0 ? void 0 : _a.name));
            });
        }
        else {
            setBalance(undefined);
        }
    }, [signer, balance]);
    return balance;
}
